close all hidden
gams_output = 'std';
m = '51';
[x,l,u] = gams('obst1','m');
viewmemb(l,'Lower bound',1);
viewmemb(x,'Membrane position',2);
viewmemb(u,'Upper bound',3);
pause;

dimen.name = 'm';
dimen.val = '51';
[x,l,u] = gams('obst2',dimen);
viewmemb(l,'Lower bound',1);
viewmemb(x,'Membrane position',2);
viewmemb(u,'Upper bound',3);
pause;

n = '51';
cardI = str2num(m); cardJ = str2num(n);
midI = (cardI + 1) / 2; midJ = (cardJ + 1) / 2;
I = 1:cardI; J = 1:cardJ;

xlo = 0; xhi = 1; dx = (xhi-xlo)/(cardI-1);
ylo = 0; yhi = 1; dy = (yhi-ylo)/(cardI-1);
lb = (16 * ((xlo + dx*(I'-1)) .* (1 - (xlo + dx*(I'-1)))) ...
	    * ((ylo + dy*(J-1)) .* (1 - (ylo + dy*(J-1))))).^3;
ub = (16 * ((xlo + dx*(I'-1)) .* (1 - (xlo + dx*(I'-1)))) ...
	    * ((ylo + dy*(J-1)) .* (1 - (ylo + dy*(J-1))))).^2 + 0.01;

[x,l,u] = gams('obst4','ylo','yhi','xlo','xhi','n','m','lb','ub');
viewmemb(l,'Lower bound',1);
viewmemb(x,'Membrane position',2);
viewmemb(u,'Upper bound',3);
pause;

% problem with a ball constraining from above
cheight = .55;
ball_rad = 0.5;

temp = ((I'-midI).^2 * ones(1,cardJ) +  ones(cardI,1) * (J-midJ).^2) / (midI*midI + midJ*midJ) ;
ub = min (2000, cheight - ball_rad*sqrt(ones(size(temp))-temp) );
lb = zeros(size(ub));

[x] = gams('obst4','m','n','lb','ub');
viewmemb(lb,'Lower bound',1);
viewmemb(x,'Membrane position',2);
viewmemb(ub,'Upper bound',3);
