gams_output = 'std';
[a,xlabels,legendset,titlestr] = gams('simple');
figure(1)

% Plot out the four lines contained in a; format using the third argument
plot(a,'+-');

% only put labels on x axis at 5 year intervals
xtick = 1:5:length(xlabels);
xlabels = xlabels(xtick);
set(gca,'XTick',xtick);
set(gca,'XTickLabel',xlabels);

% Add title, labels to axes
title(titlestr)
xlabel('Year -- time step annual');
ylabel('Value');

% Add a legend, letting MATLAB choose positioning
legend(char(legendset),0);

% match axes to data, add grid lines to plot
axis tight
grid

