% QP with H close to -I on unit box; min at every corner of the box

clear;

% number of variables
n = 50;

% form a random  symmetric matrix (may be indefinite)
rand('state',0);
H = rand(n,n); H = H + H';
H = -eye(n) + 0.1*H;
f = zeros(n,1);
%f = ones(n,1);

% unit bounds
lb = -ones(1,n); ub =  ones(1,n);

options = optimset('LargeScale','off');

% Get the size of the H matrix
m = '50';
n = '50';
clear gams_output;
[x] = gams('hw11-1', 'H', 'f', 'lb', 'ub', 'm', 'n'); 
%x, x.val
x
break;

K = 5;
% solve K times, starting from a (different) random vector each time,
% storing the results in xsol
xsol = zeros(n,K);
fsol =zeros(1,K);

for i=1:K,
  x = 2*(rand(n,1)-.5);
  % following solves min 1/2 x'Hx + f'x st. lb <= x <= ub
  [x,fval,exitflag, output, lambda] = quadprog(H,f,[],[],[],[],lb, ...
					       ub,x,options);
  xsol(:,i) = x;
  fsol(i) = fval;
end

% print solution array
xsol
fsol










